Skip to content

List refunds

List all refund records for the current user, with pagination support.

GET
/api/payment-links/refunds

Authorizations

agentJwt

Agent registration JWT. Send as Authorization: Bearer <agent-jwt>.

Type
HTTP (bearer)

Responses

List of refund records.

application/json

Response for the list refunds endpoint.

Array of refund records.

{
  "refunds": [
    {
      "refundId": "<string>",
      "refundUrl": "<string,null>",
      "paymentId": "<integer>",
      "linkId": "<string,null>",
      "sourceType": "<string>",
      "amount": "<string>",
      "currency": "<string>",
      "network": "<string>",
      "refundFrom": "<string>",
      "refundTo": "<string>",
      "status": "<string>",
      "refundTxHash": "<string,null>",
      "refundType": "<string>",
      "reason": "<string,null>",
      "originalAmount": "<string>",
      "originalTxHash": "<string,null>",
      "agentName": "<string,null>",
      "expiresAt": "<string>",
      "createdAt": "<string>"
    }
  ]
}

Released under the MIT License.